public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-astronomy/pal/, sci-astronomy/pal/files/
@ 2023-11-27  9:27 Andrew Ammerlaan
  0 siblings, 0 replies; only message in thread
From: Andrew Ammerlaan @ 2023-11-27  9:27 UTC (permalink / raw
  To: gentoo-commits

commit:     6af47f1b26b6dc37a9e9f366f97887190c22bc78
Author:     Brahmajit Das <brahmajit.xyz <AT> gmail <DOT> com>
AuthorDate: Mon Oct 30 15:39:33 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Nov 27 09:27:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6af47f1b

sci-astronomy/pal: Fix call to undeclared library function strlcpy

Closes: https://bugs.gentoo.org/898106
Signed-off-by: Brahmajit Das <brahmajit.xyz <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/31558
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 .../pal/files/pal-0.9.8-fix-strlcpy-musl.patch     | 14 ++++++++
 sci-astronomy/pal/pal-0.9.8-r1.ebuild              | 38 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/sci-astronomy/pal/files/pal-0.9.8-fix-strlcpy-musl.patch b/sci-astronomy/pal/files/pal-0.9.8-fix-strlcpy-musl.patch
new file mode 100644
index 000000000000..7ceef8e4b52e
--- /dev/null
+++ b/sci-astronomy/pal/files/pal-0.9.8-fix-strlcpy-musl.patch
@@ -0,0 +1,14 @@
+Bug: https://bugs.gentoo.org/898106
+bsd/string.h is available on most libc's
+--- a/palDfltin.c
++++ b/palDfltin.c
+@@ -121,6 +121,9 @@ static int ISBLANK( int c ) {
+ 
+ #ifdef HAVE_BSD_STRING_H
+ #include <bsd/string.h>
++#else
++#define _GNU_SOURCE
++#define __USE_MISC
+ #endif
+ 
+ /* System include files */

diff --git a/sci-astronomy/pal/pal-0.9.8-r1.ebuild b/sci-astronomy/pal/pal-0.9.8-r1.ebuild
new file mode 100644
index 000000000000..9b0e2ee32686
--- /dev/null
+++ b/sci-astronomy/pal/pal-0.9.8-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Positional Astronomy Library"
+HOMEPAGE="https://github.com/Starlink/pal"
+SRC_URI="https://github.com/Starlink/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+RDEPEND="sci-astronomy/erfa:="
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-0.9.8-fix-strlcpy-musl.patch
+)
+
+src_configure() {
+	econf --without-starlink \
+		  --without-stardocs \
+		  --with-erfa \
+		  $(use_enable static-libs static)
+}
+
+src_install() {
+	default
+
+	# remove cruft from non-fhs compliant
+	dodoc -r "${ED}"/usr/{docs,manifests,news}
+	rm -r "${ED}"/usr/{docs,manifests,news} || die
+
+	if ! use static-libs; then
+		find "${ED}" -name '*.la' -delete || die
+	fi
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2023-11-27  9:27 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-11-27  9:27 [gentoo-commits] repo/gentoo:master commit in: sci-astronomy/pal/, sci-astronomy/pal/files/ Andrew Ammerlaan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox